org.deidentifier.arx.framework.check.transformer

## Class AbstractTransformer

- java.lang.Object
- - org.deidentifier.arx.framework.check.transformer.AbstractTransformer

All Implemented Interfaces:
  java.util.concurrent.Callable<HashGroupify>

Direct Known Subclasses:
  Transformer01, Transformer02, Transformer03, Transformer04, Transformer05, Transformer06, Transformer07, Transformer08, Transformer09, Transformer10, Transformer11, Transformer12, Transformer13, Transformer14, Transformer15, TransformerAll

    public abstract class AbstractTransformer
    extends java.lang.Object
    implements java.util.concurrent.Callable<HashGroupify>

This class implements an abstract base class for all transformers.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`AbstractTransformer(DataMatrix data, GeneralizationHierarchy[] hierarchies, DataMatrix dataAnalyzed, int dataAnalyzedNumberOfColumns, IntArrayDictionary dictionarySensValue, IntArrayDictionary dictionarySensFreq, ARXConfiguration.ARXConfigurationInternal config)` Instantiates a new abstract transformer.

### Method Summary

All Methods Instance Methods Concrete Methods
`HashGroupify` `call()`
`void` `init(long projection, int[] state, HashGroupify groupify, HashGroupify source, int[] snapshot, TransformationCheckerStateMachine.TransitionType transition, int startIndex, int stopIndex, HashGroupifyEntry element, DataMatrix buffer)` Prepares the next transformation

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractTransformer

    public AbstractTransformer(DataMatrix data,
                               GeneralizationHierarchy[] hierarchies,
                               DataMatrix dataAnalyzed,
                               int dataAnalyzedNumberOfColumns,
                               IntArrayDictionary dictionarySensValue,
                               IntArrayDictionary dictionarySensFreq,
                               ARXConfiguration.ARXConfigurationInternal config)

Instantiates a new abstract transformer.

Parameters:
  `data` - the data
  `hierarchies` - the hierarchies
  `dataAnalyzed` -
  `dataAnalyzedNumberOfColumns` -
  `dictionarySensValue` -
  `dictionarySensFreq` -
  `config` -

### Method Detail

#### call

    public HashGroupify call()

Specified by:
  `call` in interface `java.util.concurrent.Callable<HashGroupify>`

#### init

    public void init(long projection,
                     int[] state,
                     HashGroupify groupify,
                     HashGroupify source,
                     int[] snapshot,
                     TransformationCheckerStateMachine.TransitionType transition,
                     int startIndex,
                     int stopIndex,
                     HashGroupifyEntry element,
                     DataMatrix buffer)

Prepares the next transformation

Parameters:
  `projection` - the projection
  `state` - the state
  `groupify` - the groupify
  `source` - the source
  `snapshot` - the snapshot
  `transition` - the transition
  `startIndex` - the start index
  `stopIndex` - the stop index
  `element` - the element
  `buffer` - the buffer